job "archlinux" {
    datacenters = ["dc1"]

    type = "service"

    group "vms" {
        count = 1

        // network {
        //     port "ssh" { to = 22 }
        // }

        task "archlinux" {
            driver = "qemu"

            resources {
                cpu = 500
                memory = 1024
            }

            config {
                accelerator = "kvm"
                guest_agent = true
                graceful_shutdown = true
                image_path  = "local/arch.img"
                args        = ["-nodefaults"]
            }

            // service {
            //     port = "ssh"
            // }

            artifact {
                source = "http://localhost:8000/output/arch.img"
            }
        }
    }
}










