#!/usr/bin/env bash
set -eux

pacman-key --init

# Install the system
pacstrap -K /mnt base linux linux-firmware rng-tools grub parted \
    sudo openssh ufw cloud-utils nomad nomad-driver-nspawn \
    git vim htop bmon jq

# Clear the cache
arch-chroot /mnt pacman -Scc --noconfirm
