# Arch Linux built with Packer

Creates a minimal arch linux raw disk image that can be cloned directly to bare metal

## Requirements

1. [Packer](https://www.packer.io/)
1. QEMU and KVM installed

## Usage

`packer build arch.pkr.hcl`

On my machine, it takes about 5 minutes to build (without downloading the arch iso)

Take the resulting output/arch.img, and clone it to a disk.  
For example: `sudo dd if=output/arch.img of=/dev/<disk to image> bs=512M status=progress`

Congratulations, you now have arch linux installed on that hard drive, and can boot from it
