#!/usr/bin/env bash
set -eux

genfstab -t PARTUUID -p /mnt > "/mnt/etc/fstab"

# Remove quiet boot
arch-chroot /mnt sed -i 's,GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 quiet",GRUB_CMDLINE_LINUX_DEFAULT="",' /etc/default/grub

arch-chroot /mnt grub-install /dev/vda
arch-chroot /mnt grub-mkconfig -o /boot/grub/grub.cfg
